{ config, pkgs, ... }: {
  services.grafana = {
    enable = true;
    provision = {
      enable = true;
      datasources.settings.datasources = [
        {
          name = "Prometheus";
          type = "prometheus";
          access = "proxy";
          url = "http://127.0.0.1:${toString config.services.prometheus.port}";
        }
      ];
    };
    settings = {
      analytics.reporting_enabled = false;
      server = {
        domain = "graf.matri.cx";
        http_addr = "127.0.0.1";
        http_port = 7000;
        protocol = "http";
        root_Url = "http://192.168.0.130:7000";
      };
      smtp = {
        enabled = true;

        from_address = "graf@matri.cx";
        host = "box.eversole.co:465";
        user = "graf@matri.cx";
        password = "$__file{${config.age.secrets.graf-email.path}}";
      };
    };
  };
}
